Java-Gaming.org Hi !
Featured games (83)
games approved by the League of Dukes
Games in Showcase (513)
Games in Android Showcase (121)
games submitted by our members
Games in WIP (577)
games currently in development
News: Read the Java Gaming Resources, or peek at the official Java tutorials
 
    Home     Help   Search   Login   Register   
Pages: [1]
  ignore  |  Print  
  ati jogl linux issue?  (Read 853 times)
0 Members and 1 Guest are viewing this topic.
Offline detla

Innocent Bystander




Java games rock!


« Posted 2004-02-21 22:56:42 »

Hallo,
I was trying to get the jogl-based gui running on a linux pc with an ati 8500 graphics adapter. It won't work, with the exception
net.java.games.jogl.GLException: Error making context current
       at net.java.games.jogl.impl.x11.X11GLContext.makeCurrent(X11GLContext.java:153)
       at net.java.games.jogl.impl.x11.X11OnscreenGLContext.makeCurrent(X11OnscreenGLContext.java:111)
       at net.java.games.jogl.impl.GLContext.invokeGL(GLContext.java:199)
       at net.java.games.jogl.GLCanvas.displayImpl(GLCanvas.java:182)
       at net.java.games.jogl.GLCanvas.display(GLCanvas.java:82)
       at net.java.games.jogl.Animator$1.run(Animator.java:104)
       at java.lang.Thread.run(Thread.java:534)
[...] (several more)
occuring. I've worked through three X versions, using the ati driver, I've tried running the simple test app, I found in some thread in this forum - all with the same result.
It is most certainly not the 16 vs. 24 bit issue, as the error message changes, using the 16 bit depth (i.e. the stack trace has only 6 entries).
I've tried upgrading to the latest nightly (formerly using the last official build), and all without any effect.
The application is running on the same machine (using windows instead of linux), on another linux machine with an nVidia graphics adapter and several Windows machines.
I would really be greatful, if someone had a hintfor me.
glxgears is running, fglrxinfo shows OpenGL is active, System.loadLibrary("jogl"); works, only fgl_glxgears complains about "couldn't get fbconfig". According to the ATI FAQ is this not an issue, as this is a featur of the fireGL graphics adapters.
Things I've tried:
X versions 4.1.0, 4.2.0, 4.3.0 (all with ati driver)
ati agpgart / kernel agpgart
kernel 2.2.20 / 2.4.24
JVM 1.4.2_01 / 1.4.2_03
jogl nightly (02/21/04) / last official from 2003
Best regards,
  js
Pages: [1]
  ignore  |  Print  
 
 
You cannot reply to this message, because it is very, very old.

 

Add your game by posting it in the WIP section,
or publish it in Showcase.

The first screenshot will be displayed as a thumbnail.

theagentd (16 views)
2014-10-25 15:46:29

Longarmx (52 views)
2014-10-17 03:59:02

Norakomi (45 views)
2014-10-16 15:22:06

Norakomi (34 views)
2014-10-16 15:20:20

lcass (39 views)
2014-10-15 16:18:58

TehJavaDev (68 views)
2014-10-14 00:39:48

TehJavaDev (68 views)
2014-10-14 00:35:47

TehJavaDev (60 views)
2014-10-14 00:32:37

BurntPizza (74 views)
2014-10-11 23:24:42

BurntPizza (45 views)
2014-10-11 23:10:45
Understanding relations between setOrigin, setScale and setPosition in libGdx
by mbabuskov
2014-10-09 22:35:00

Definite guide to supporting multiple device resolutions on Android (2014)
by mbabuskov
2014-10-02 22:36:02

List of Learning Resources
by Longor1996
2014-08-16 10:40:00

List of Learning Resources
by SilverTiger
2014-08-05 19:33:27

Resources for WIP games
by CogWheelz
2014-08-01 16:20:17

Resources for WIP games
by CogWheelz
2014-08-01 16:19:50

List of Learning Resources
by SilverTiger
2014-07-31 16:29:50

List of Learning Resources
by SilverTiger
2014-07-31 16:26:06
java-gaming.org is not responsible for the content posted by its members, including references to external websites, and other references that may or may not have a relation with our primarily gaming and game production oriented community. inquiries and complaints can be sent via email to the info‑account of the company managing the website of java‑gaming.org
Powered by MySQL Powered by PHP Powered by SMF 1.1.18 | SMF © 2013, Simple Machines | Managed by Enhanced Four Valid XHTML 1.0! Valid CSS!